body {
    background-color: #555577;
    padding: 0px;

}

h1{
    font-size: 8vh;
}

.dock {
  height: 100%;
  width: 64px;
  float:right;
  position: fixed;
  top: 0px;
  right : 0px;
  
  display: table-column;
  z-index: 99;
}

.dockbtn {
  width: 100%;
  height: 64px;
  display: block;
  position: relative;
  filter: brightness(1);
  background-image: url('assets/svg/dockbtn.svg');
  cursor:pointer;

}

.dockbtn:active {
  filter: brightness(1.2);

}

.rubbish {
  position: fixed;
  bottom : 0px;
}
.containers-container {
  display: flex;
  min-height: 98vh;
  min-width: 95vw;
  overflow-y: hidden;

}

.closable {
  display : flex;
}

.popup-cont {
  position : absolute;
  flex-flow: column;
  top : 30px;
  left: 30px;
  border-style: solid;
  border-color: #000000;
  border-width: 3px ;
  box-shadow: 0px 7px 20px 5px #00000048;
  width : 300px;
  height : 400px;
  overflow: hidden;
  z-index: 5;
 ;
  
  
  
}

.about-window {
  display: none;
  position : absolute;
  flex-flow: column;
  top : 30px;
  left: 30px;
  border-style: solid;
  border-color: #000000;
  border-width: 3px ;
  box-shadow: 0px 7px 20px 5px #00000048;
  width: 400px;
  height: 300px;

  overflow: hidden;
  z-index: 10;


 
}

.updates-win {
  display: none;
  position : absolute;
  flex-flow: column;
  top : 60px;
  left: 468px;
  border-style: solid;
  border-color: #000000;
  border-width: 3px ;
  box-shadow: 0px 7px 20px 5px #00000048;
  width: 1024px;
  height: 768px;

  overflow: hidden;
  z-index: 10;


 
}
.gallery-win {
  display: none;
  position : absolute;
  flex-flow: column;
  top : 60px;
  left: 468px;
  border-style: solid;
  border-color: #000000;
  border-width: 3px ;
  box-shadow: 0px 7px 20px 5px #00000048;
  width: 1024px;
  height: 768px;

  overflow: hidden;
  z-index: 10;


 
}


.guestbook {
  display: none;
  position : absolute;
  flex-flow: column;
  top : 30px;
  left: 30px;
  border-style: solid;
  border-color: #000000;
  border-width: 3px ;
  box-shadow: 0px 7px 20px 5px #00000048;
  width : 400px;
  height : 800px;
  overflow: hidden;
  z-index: 5;
 ;
  
  
  
}


.container {
    position: absolute;
    width: 1024px;
    height: 768px;
    left: 30px;
    top: 30px;
    background-color: #603f84;
    box-shadow: 0px 7px 20px 5px #00000048;
    border-style: solid;
    border-color: #000000;
    border-width: 3px ;
    display: flex;
  flex-flow: column;
  

}

.OpenSTEPTittlebar{
  flex : 0 1 auto;
  flex-flow: column;
  height: 2rem;
  background-color: #000;
  border-style: outset ;
  border-color: #919191 #202020 #202020 #6b6b6b;
  color: #fff;
  font-size: 1.5vh;
  text-align: center;  
  line-height: 2rem;
  align-items:center;
  justify-content:center;
  /*cursor: move; */
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

.wnbtn {
  float: left;
  margin-top: 0.2em;
  margin-left: 0.2em;
  font-size: 1em;
  text-align: center;
  line-height: 1.25rem;
  width : fit-content;
  min-width: .9rem;
  height : 1.25rem;

  padding-left: 0.4em;
  padding-right: 0.4em;
  padding-bottom: 0.15em;

  color: rgb(17, 17, 17);
  background-color: #d3d3d3;
  border-style: outset ;
  border-color: #cecece;

  filter: brightness(1);
}

.upd {
  margin: 0;
}

.wnbtn:active {
  border-style: inset ;
  filter: brightness(1.5);

}

.justpage {
  background-color: #d3d3d3;
  padding : 0px;
}

.WindowBackground {

  flex: 1 1 auto;
  background-color: #d3d3d3;
  border-style: inset ;
  border-color: #414141;
  padding: 0.5rem;
  overflow: scroll;
}

.windowiframe {
  overflow:hidden;
  padding: 0;
}

.PageTitle {
  display: flex;
  flex: 0 1 auto;
  font-size: 3rem ;
  margin: 0;
  align-items: center;
  justify-content: left;
}

.titleicon {
  margin-right: 15px ;
}

.btn {
  display: flex;
  float: left;
  min-width: 8em;
  max-width: fit-content;
  height: fit-content;
  padding : 0.2em;
  padding-left: .8em;
  padding-right: .8em;
  background-color: #bdbdbd;
  border-color: #000000;
  color: #000;
  align-items: center;
  justify-content: center;
  margin-right : 0.5em;
  border-style: outset;
  border-width: 5px;
  text-decoration: none;
}

.btn:active {
  border-style: inset;
}

.btnicn {
  width: 15px;
  margin-right : 10px;
}


.footer {
  position: fixed;
  bottom: 0px;
  width: 100%;
  text-align: center;
  color: #fff;
  text-decoration: none;
  font-size: 0.8em;
  z-index: 999;
}

.textonlyfooter {
  color: #fff;
  text-decoration: none;
  margin: auto;
}
.textonlyfooter:hover {
  text-decoration: underline;
}

.hiddenbutton {
  opacity: 0;
}

.hiddenbutton:hover {
  opacity: 1;
}
/* Fonts */

.ibm-plex-sans-thin {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 100;
    font-style: normal;
  }
  
  .ibm-plex-sans-extralight {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 200;
    font-style: normal;
  }
  
  .ibm-plex-sans-light {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 300;
    font-style: normal;
  }
  
  .ibm-plex-sans-regular {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 400;
    font-style: normal;
  }
  
  .ibm-plex-sans-medium {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 500;
    font-style: normal;
  }
  
  .ibm-plex-sans-semibold {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 600;
    font-style: normal;
  }
  
  .ibm-plex-sans-bold {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 700;
    font-style: normal;
  }
  
  .ibm-plex-sans-thin-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 100;
    font-style: italic;
  }
  
  .ibm-plex-sans-extralight-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 200;
    font-style: italic;
  }
  
  .ibm-plex-sans-light-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 300;
    font-style: italic;
  }
  
  .ibm-plex-sans-regular-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 400;
    font-style: italic;
  }
  
  .ibm-plex-sans-medium-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 500;
    font-style: italic;
  }
  
  .ibm-plex-sans-semibold-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 600;
    font-style: italic;
  }
  
  .ibm-plex-sans-bold-italic {
    font-family: "IBM Plex Sans", sans-serif;
    font-weight: 700;
    font-style: italic;
  }
  


/**
 * ----------------------------------------
 * animation bounce-left
 * ----------------------------------------
 */
@-webkit-keyframes bounce-left {
  0% {
    -webkit-transform: translateX(-48px);
            transform: translateX(-48px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
    opacity: 1;
  }
  24% {
    opacity: 1;
  }
  40% {
    -webkit-transform: translateX(-26px);
            transform: translateX(-26px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  65% {
    -webkit-transform: translateX(-13px);
            transform: translateX(-13px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  82% {
    -webkit-transform: translateX(-6.5px);
            transform: translateX(-6.5px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  93% {
    -webkit-transform: translateX(-4px);
            transform: translateX(-4px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  25%,
  55%,
  75%,
  87%,
  98% {
    -webkit-transform: translateX(0px);
            transform: translateX(0px);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  100% {
    -webkit-transform: translateX(0px);
            transform: translateX(0px);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
    opacity: 1;
  }
}
@keyframes bounce-left {
  0% {
    -webkit-transform: translateX(-48px);
            transform: translateX(-48px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
    opacity: 1;
  }
  24% {
    opacity: 1;
  }
  40% {
    -webkit-transform: translateX(-26px);
            transform: translateX(-26px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  65% {
    -webkit-transform: translateX(-13px);
            transform: translateX(-13px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  82% {
    -webkit-transform: translateX(-6.5px);
            transform: translateX(-6.5px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  93% {
    -webkit-transform: translateX(-4px);
            transform: translateX(-4px);
    -webkit-animation-timing-function: ease-in;
            animation-timing-function: ease-in;
  }
  25%,
  55%,
  75%,
  87%,
  98% {
    -webkit-transform: translateX(0px);
            transform: translateX(0px);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
  }
  100% {
    -webkit-transform: translateX(0px);
            transform: translateX(0px);
    -webkit-animation-timing-function: ease-out;
            animation-timing-function: ease-out;
    opacity: 1;
  }
}
